/*
 * File:   millis.c
 * Author: Development
 *
 * Created on June 22, 2018, 12:44 PM
 */


#include <xc.h>
#include "millis.h"

void call_millis() {
    timer_millis++;
}

uint32_t millis() {
    uint32_t m;
    m = timer_millis;
    return m;
}

bool SoftTimerInterrupt(uint16_t interval, uint8_t arrayPos) {
    currentTime = millis();
    bool answer = (bool) (currentTime - previousTime[arrayPos] >= interval); //100ms
    if (answer)
        previousTime[arrayPos] = currentTime;
    return answer;
}

bool SoftTimerInterrupt10ms() {
    return SoftTimerInterrupt(10, 0);
}

bool SoftTimerInterrupt50ms() {
    return SoftTimerInterrupt(50, 1);
}

bool SoftTimerInterrupt100ms() {
    return SoftTimerInterrupt(100, 2);
}

bool SoftTimerInterrupt500ms() {
    return SoftTimerInterrupt(500, 3);
}

bool SoftTimerInterrupt1s() {
    return SoftTimerInterrupt(1000, 4);
}

bool SoftTimerInterrupt5s() {
    return SoftTimerInterrupt(5000, 5);
}